Aerovy Platform logo

Get a thing's events

GEThttps://spectra.api.aerovy.com/v2/things/{thingId}/events

Requires an API key with the read action scoped to the thing. binUnit and binValue must be provided together (binned) or both omitted (raw).

Loading code example
Loading code example

Authorizations

apiKeystringheaderrequired

API key passed in the header.

Path Parameters

thingIdstringrequired

The thing id.

Query Parameters

startTimestring<date-time>

Inclusive start of the window (UTC).

endTimestring<date-time>

Exclusive end of the window (UTC).

binUnitstring

Optional bin unit; if set, binValue is required.

binValueinteger | string<int32>

Optional bin size; if set, binUnit is required.

Pattern: ^-?(?:0|[1-9]\d*)$
selectedFieldsarray<string>

Optional metric ids to restrict the result to.

Response

application/json

The raw or binned points.